Bug 466689 - kontact segfaults in settings
kontact segfaults in settings
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
10
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-10-12 17:19 EDT by Honza 'thingie' Bartoš
Modified: 2013-01-09 23:51 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 03:57:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace from kdebug (9.74 KB, application/octet-stream)
2008-10-12 17:19 EDT, Honza 'thingie' Bartoš
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 167625 None None None Never

  None (edit)
Description Honza 'thingie' Bartoš 2008-10-12 17:19:40 EDT
Created attachment 320155 [details]
backtrace from kdebug

Description of problem:
Kontact segfaults when trying to open configuration window.

Version-Release number of selected component (if applicable):
kdepim-4.1.2-2.fc10.i386

How reproducible: 
Always.

Steps to Reproduce:
1. Run kontact
2. Select Settings -> Configure Kontact...
  
Actual results:
Segfault.

Expected results:


Additional info:
Comment 1 Jaroslav Reznik 2008-10-13 10:14:33 EDT
It's working for me, I'm not able to reproduce this bug. Is this first run? Upgrade or new F10 installation?
Comment 2 Honza 'thingie' Bartoš 2008-10-13 14:36:25 EDT
It's an upgrade to rawhide via yum from F9. I've used kontact (but not kmail) before the upgrade, quite a lot, so there can be some configuration and data files.
Comment 3 Rex Dieter 2008-10-13 14:48:15 EDT
OK, so looks like a kdepim3 -> kdepim4 migration issue.  
Care to file a bug upstream @ bugs.kde.org ?
Comment 4 Honza 'thingie' Bartoš 2008-10-14 14:24:40 EDT
It's this one, it seems:

https://bugs.kde.org/show_bug.cgi?id=167625

If I delete kontactrc, settings is OK, when I disable kmail component and restart kontact, it will crash. (So no migration issue.)
Comment 5 Rex Dieter 2008-10-14 14:34:00 EDT
thanks.
Comment 6 Jesse Keating 2008-11-11 17:22:10 EST
This seems like a rather non-default mode of operation, and an easy work around exists.  I don't believe we'll delay the release for this issue, thus moving it to F10Target.
Comment 7 Kevin Kofler 2008-11-11 17:32:07 EST
Agreed. It's still not fixed upstream, I think we'll wait for an upstream fix and then just push it out as an update, it's not something which absolutely needs to be fixed for the F10 release.
Comment 8 Bug Zapper 2008-11-25 22:49:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-11-18 02:56:26 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Kevin Kofler 2009-11-18 03:57:30 EST
Upstream cannot reproduce it anymore with the current versions:
https://bugs.kde.org/show_bug.cgi?id=167625#c9
(The same developer could previously reproduce it.)

So let's close this as one of those "magically fixed, but we don't know why" issues.

Note You need to log in before you can comment on or make changes to this bug.